import request from '@/utils/request'

export function fetchFindProductList(params) {
  return request({
    url: '/svip/member/findProductList',
    method: 'get',
    params
  })
}
// 超级会员专属优惠券列表
export function fetchCouponList(params) {
  return request({
    url: '/svip/member/couponList',
    method: 'get',
    params
  })
}
// 关闭超级会员专属优惠券
export function fetchCloseCoupon(id) {
  return request({
    url: '/svip/member/closeCoupon/' + id,
    method: 'post'
  })
}
// 开启超级会员专属优惠券
export function fetchOpenCoupon(id) {
  return request({
    url: '/svip/member/openCoupon/' + id,
    method: 'post'
  })
}
// 删除超级会员专属优惠券
export function fetchDeleteCoupon(id) {
  return request({
    url: '/svip/member/deleteCoupon/' + id,
    method: 'post'
  })
}
// 获取供应商列表
export function fetchFindShop(params) {
  return request({
    url: '/svip/member/findShopList',
    method: 'get',
    params
  })
}
// 获取商品信息列表
export function fetchProductList(params) {
  return request({
    url: '/svip/member/findProductDialogList',
    method: 'get',
    params
  })
}
export function fetchMemberList(params) {
  return request({
    url: '/svip/member/memberList',
    method: 'get',
    params
  })
}
export function fetchClubList(params) {
  return request({
    url: '/svip/member/findClubList',
    method: 'get',
    params
  })
}
export function saveSvip(params) {
  return request({
    url: '/svip/member/saveSvip',
    method: 'post',
    params
  })
}
export function findHistory(params) {
  return request({
    url: '/svip/member/findHistory',
    method: 'get',
    params
  })
}
export function fetchFindPackage() {
  return request({
    url: '/svip/member/findPackage',
    method: 'get'
  })
}

export function updatePrice(params) {
  return request({
    url: '/svip/member/updatePrice',
    method: 'post',
    params
  })
}
